function AsyncLoader8_0(){
}

function onLoad_6(){
  var stackIndex;
  $stack_0[stackIndex = ++$stackDepth_0] = onLoad_6;
  instance_9 = new ($location_0[stackIndex] = 'AsyncLoader8.java:' + '13' , AsyncLoader8_0);
  $fragmentHasLoaded(($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '269' , $clinit_56() , ($location_0[stackIndex] = 'AsyncLoader8.java:' + '14' , BROWSER_LOADER)), 8);
  !!($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '131' , $stats) && ($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '101' , $stats(($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '108' , $createStatsEvent('runCallbacks8', 'begin', -1, -1))));
  ($location_0[stackIndex] = 'AsyncLoader8.java:' + '16' , instance_9).runCallbacks();
  !!($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '131' , $stats) && ($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '101' , $stats(($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '108' , $createStatsEvent('runCallbacks8', 'end', -1, -1))));
  $stackDepth_0 = stackIndex - 1;
}

function AsyncLoader8(){
}

_ = AsyncLoader8_0.prototype = AsyncLoader8.prototype = new Object_0;
_.getClass$ = function getClass_156(){
  var stackIndex, returnTemp;
  $stack_0[stackIndex = ++$stackDepth_0] = getClass_156;
  returnTemp = ($location_0[stackIndex] = 'com.google.gwt.dev.jjs.ast.JProgram:' + '0' , Lcom_google_gwt_lang_asyncloaders_AsyncLoader8_2_classLit);
  $stackDepth_0 = stackIndex - 1;
  return returnTemp;
}
;
_.runCallbacks = function runCallbacks_6(){
}
;
_.castableTypeMap$ = {};
var instance_9 = null;
var Lcom_google_gwt_lang_asyncloaders_AsyncLoader8_2_classLit = createForClass('com.google.gwt.lang.asyncloaders.', 'AsyncLoader8');
$entry(onLoad_6)();
